Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 184911 - app-arch/lha feature disabled because of MinGW on Cygwin???
Summary: app-arch/lha feature disabled because of MinGW on Cygwin???
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mamoru KOMACHI (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 184560
  Show dependency tree
 
Reported: 2007-07-11 00:43 UTC by John R. Graham
Modified: 2007-10-30 08:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
New autotools magic to detect problematic environment. (lha-114i-file-list-from-stdin.patch,991 bytes, patch)
2007-07-11 00:49 UTC, John R. Graham
Details | Diff
New ebuild. (lha-114i-r7.ebuild,1.01 KB, text/plain)
2007-07-11 00:49 UTC, John R. Graham
Details
Slightly cleaner new ebuild. (lha-114i-r7.ebuild,997 bytes, text/plain)
2007-07-11 11:08 UTC, John R. Graham
Details
Yet cleaner ebuild, with the help of the Gentoo Sunrise team. (lha-114i-r7.ebuild,946 bytes, text/plain)
2007-07-15 23:29 UTC, John R. Graham
Details
More cleanup of the the ebuild with the help of drac from Gentoo Sunrise. (lha-114i-r7.ebuild,833 bytes, text/plain)
2007-07-22 12:39 UTC, John R. Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John R. Graham gentoo-dev 2007-07-11 00:43:00 UTC
Most archive programs have a mode where they will accept a pre-prepared list of files to archive, either from stdin or from a command line argument which specifies a file (which can usually be stdin as well).  lha is no exception, but someone #if 0'd the feature because of a problem with the MinGW library on Cygwin.  Blech.

The attached patch adds the appropriate autotools magic to automatically detect the MinGW compiler and disable the feature only in that environment.  The attached ebuild has been modified to apply the patch and rerun the autotools to build a new configure.

Also, I would appreciate some help from one of the Japanese-speaking developers to send this patch to upstream as the whole upstream site is in Japanese.

- John
Comment 1 John R. Graham gentoo-dev 2007-07-11 00:49:08 UTC
Created attachment 124497 [details, diff]
New autotools magic to detect problematic environment.
Comment 2 John R. Graham gentoo-dev 2007-07-11 00:49:37 UTC
Created attachment 124499 [details]
New ebuild.
Comment 3 John R. Graham gentoo-dev 2007-07-11 00:51:04 UTC
This bug breaks app-backup//flexbackup's lha archive mode.
Comment 4 John R. Graham gentoo-dev 2007-07-11 11:08:19 UTC
Created attachment 124542 [details]
Slightly cleaner new ebuild.

Left in one spurious line of commented out code.
Comment 5 John R. Graham gentoo-dev 2007-07-15 23:29:32 UTC
Created attachment 124977 [details]
Yet cleaner ebuild, with the help of the Gentoo Sunrise team.

Cleanups based on guidance from the Gentoo Sunrise folks:  Use autotools eclass, include RDEPEND="" for documentation, include a message on die for emake, use ${P} in patch file name.

Not included or implemented in any way was the suggestion that renaming the ebuild from "lha-114i-r7" to "lha-1.14i-r7" would more closely match the upstream tarball and would allow MY_P to simplify from "${PN}-1.14i-ac20050924p1" to "${P}-ac20050924p1".  I think this would cause "upgrade" issues because, according to the version comparison rules, "114i" > "1.14i".
Comment 6 John R. Graham gentoo-dev 2007-07-22 12:39:22 UTC
Created attachment 125637 [details]
More cleanup of the the ebuild with the help of drac from Gentoo Sunrise.

* Use fresh ebuild header from /usr/portage/header.txt.
* Quote ${WORKDIR} properly.
* Eliminate unnecessary doc file 00readme.autoconf from install.  File is
  merely documentation of the configure script options and is mostly in
  Japanese anyway.
Comment 7 Samuli Suominen gentoo-dev 2007-07-22 14:21:26 UTC
Fixed in -r7, thanks.
Comment 8 John R. Graham gentoo-dev 2007-07-24 23:27:03 UTC
Going to leave this open so that, when usata comes back, he can (hopefully) forward it to upstream.  (Upstream site is in Japanese.)

- John
Comment 9 Jakub Moc (RETIRED) gentoo-dev 2007-10-30 08:01:34 UTC
(In reply to comment #8)
> Going to leave this open so that, when usata comes back, he can (hopefully)
> forward it to upstream.  (Upstream site is in Japanese.)

He's retired, you'll have to do it yourself.